DOVEADM-EXPUNGE(1)

NAME
doveadm-expunge - Expunge messages matching given search query

SYNOPSIS
doveadm [-Dv] expunge [-S socket_path] search_query
doveadm [-Dv] expunge [-S socket_path] -A search_query
doveadm [-Dv] expunge [-S socket_path] -u user search_query

DESCRIPTION
This command can be used to expunge mails matching the given search query. It is typically used to expunge old mails from users' Trash and/or Spam mailboxes. To test which messages a given search query would match, you can use doveadm fetch or doveadm search commands.

In the first form, doveadm(1) will executed the expunge action with the environment of the logged in system user.

In the second form, the command will be performed for all users.

In the third form, only matching mails of the given user(s) will be expunged.

OPTIONS
Global doveadm(1) options:

-D  Enables verbosity and debug messages.

-v  Enables verbosity, including progress counter.

Command specific options:

-A  If the -A option is present, the command will be performed for all users. Using this option in combination with system users from userdb { driver = passwd } is not recommended, because it contains also users with a lower UID than the one configured with the first_valid_uid setting.

    When the SQL userdb module is used make sure that the iterate_query setting in /etc/dovecot/dovecot-sql.conf.ext matches your database layout. When using the LDAP userdb module, make sure that the iterate_attrs and iterate_filter settings in /etc/dovecot/dovecot-ldap.conf.ext match your LDAP schema. Otherwise doveadm(1) will be unable to iterate over all users.

-S socket_path
    The option's argument is either an absolute path to a local UNIX domain socket, or a hostname and port (hostname:port), in order to connect a remote host via a TCP socket.

    This allows an administrator to execute doveadm(1) mail commands through the given socket.

-u user/mask
    Run the command only for the given user. It's also possible to use '*' and '?' wildcards (e.g. -u *@example.org).
    When neither the -A option nor -u user was specified, the command will be executed with the environment of the currently logged in user.

ARGUMENTS

search_query
    Expunge messages matching this search query. See doveadm-search-query(7) for details.

EXAMPLE
This example expunges messages from Spam mailbox that were saved/copied there more than two weeks ago:

doveadm expunge -u jane.doe@example.org mailbox Spam savedbefore 2w

REPORTING BUGS
Report bugs, including doveconf -n output, to the Dovecot Mailing List <dovecot@dovecot.org>. Information about reporting bugs is available at: http://dovecot.org/bugreport.html

SEE ALSO
doveadm(1), doveadm-fetch(1), doveadm-purge(1), doveadm-search(1), doveadm-search-query(7)